INCLUDEPATH += $$PWD
DEPENDPATH += $$PWD
QT *= network
LIBS += -lqjson

libechonest-uselib:!libechonest-buildlib {
    LIBS += -L$$LIBECHONEST_LIBDIR -l$$LIBECHONEST_LIBNAME
} else {
    SOURCES +=   \
        $$PWD/Track.cpp              \
        $$PWD/Song.cpp               \
        $$PWD/Artist.cpp             \
        $$PWD/Playlist.cpp           \
        $$PWD/Config.cpp             \
        $$PWD/Parsing.cpp            \
        $$PWD/AudioSummary.cpp       \
        $$PWD/Util.cpp               \
        $$PWD/ArtistTypes.cpp        \
        $$PWD/Generator.cpp          \
        $$PWD/Catalog.cpp            \
        $$PWD/CatalogUpdateEntry.cpp \
        $$PWD/CatalogSong.cpp        \
        $$PWD/CatalogArtist.cpp      \
        $$PWD/CatalogItem.cpp        \
        $$PWD/TypeInformation.cpp

    HEADERS +=  \
        $$PWD/echonest_export.h      \
        $$PWD/Track.h                \
        $$PWD/Song.h                 \
        $$PWD/Artist.h               \
        $$PWD/Playlist.h             \
        $$PWD/Config.h               \
        $$PWD/AudioSummary.h         \
        $$PWD/ArtistTypes.h          \
        $$PWD/Util.h                 \
        $$PWD/Catalog.h              \
        $$PWD/CatalogUpdateEntry.h   \
        $$PWD/CatalogSong.h          \
        $$PWD/CatalogArtist.h        \
        $$PWD/CatalogItem.h          \
        $$PWD/TypeInformation.h
}
